%define name xsetup
%define version 0.14
%define release b1

Name:		%{name}
Summary:	X.Org template config files and setup program
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	ddcprobe
BuildArchitectures: noarch


%description
X.Org template config files and setup program for berry.
Template files and a shell script (xsetup) for the BERRY
non-interactive setup of X.Org 6.8.x.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
install -m 755 xsetup %{buildroot}/opt/berry/xsetup
install -m 644 *.in %{buildroot}/opt/berry/


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/xsetup
/opt/berry/*.in


##
## change log
##

%changelog
* Wed Sep 7 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Bug fix for XkbLayout
* Mon Aug 15 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Change XF86Config.in
- Bug fix for fbdev
* Thu Feb 17 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- It's possible to change name of XF86Config.in to xorg.conf.in
- Change DefaultColorDepth 16 to 24
- Change XF86Config.in for "Extensions"
* Sun May 23 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Change XF86Config.in
* Mon Apr 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Rename XF86Config-4.in to XF86Config.in for X.Org 6.7
- Change XF86Config.in for TwinView
* Mon Apr 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Change XF86Config-4.in
* Thu Nov 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- xf86config-knoppix_0.8-2.tar.gz
* Fri May 23 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- xf86config-knoppix_0.7-15.tar.gz
* Mon May 12 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Add Fonts Setting
* Wed Apr 30 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Bug fixed for psaux and serial mouse
* Thu Apr 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Rename xf86config-berry to xsetup
* Fri Apr 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://www.knopper.net/download/knoppix/)
- xf86config-knoppix_0.7-7.tar.gz
